レポートのカスタム CSS を更新
PUT /v1/report-style/css:選択済みプリセットとレポートデザイン token の後に適用されるカスタム REPORT.css を検証して置き換えます。
PUT /v1/report-style/css
選択済みプリセットとレポートデザイン token の後に適用されるカスタム REPORT.css を検証して置き換えます。空文字列はオーバーライドをクリアします。カスタム CSS は 64 KB に制限され、ネットワークインポート、外部 URL、HTML 区切り文字、スクリプトを含む可能性があるレガシープロパティなどの安全でない構成を拒否します。
| メソッド | PUT |
| パス | /v1/report-style/css |
| 認証 | GATEWAY_AUTH_TOKEN が設定されている場合は Authorization: Bearer <token> が必要 |
| カテゴリ | theme |
リクエスト本文
{ "css": ".report-shell { letter-spacing: 0; }" }レスポンス本文
{ "settings": { "preset": "minara-fusion", "density": "balanced", "typeScale": "standard", "pageWidth": "standard", "cornerStyle": "soft", "accent": "graphite" }, "defaults": { "preset": "minara-fusion", "density": "balanced", "typeScale": "standard", "pageWidth": "standard", "cornerStyle": "soft", "accent": "graphite" }, "presets": [{ "id": "minara-fusion", "name": "Minara Fusion", "description": "..." }], "custom_css": ".report-shell { letter-spacing: 0; }" }